pyside-tools_0.2.15-1build1_amd64.deb


Advertisement

Description

pyside-tools - development tools for PySide (uic, rcc, lupdate)

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename pyside-tools_0.2.15-1build1_amd64.deb
Package name pyside-tools
Package version 0.2.15
Package release 1build1
Package architecture amd64
Package type deb
Category universe/libs
Homepage http://www.pyside.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 116.17 KB
Installed size 535.00 KB
Qt is a cross-platform C++ application framework. Qt's primary feature
is its rich set of widgets that provide standard GUI functionality.
PySide ships Python bindings for the Qt4 framework. This package ships
the following accompanying tools:
* pyside-rcc - PySide resource compiler
* pyside-uic - Python User Interface Compiler for PySide
* pyside-lupdate - update Qt Linguist translation files for PySide

Alternatives

Package Version Architecture Repository
pyside-tools_0.2.15-1build1_i386.deb 0.2.15 i386 Ubuntu Universe
pyside-tools - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:3.0
libqt4-xml >= 4:4.7.0
libqtcore4 >= 4:4.7.0
libqtgui4 >= 4:4.7.0
libstdc++6 >= 5
python << 2.8
python >= 2.7
python-pyside.qtcore >= 1.0.6
python:any >= 2.6.6-7~

Download

Type URL
Mirror archive.ubuntu.com
Binary Package pyside-tools_0.2.15-1build1_amd64.deb
Source Package pyside-tools

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pyside-tools deb package:
    # sudo apt-get install pyside-tools

Files

Path
/usr/bin/pyside-lupdate
/usr/bin/pyside-rcc
/usr/bin/pyside-uic
/usr/lib/python2.7/dist-packages/pysideuic/__init__.py
/usr/lib/python2.7/dist-packages/pysideuic/driver.py
/usr/lib/python2.7/dist-packages/pysideuic/exceptions.py
/usr/lib/python2.7/dist-packages/pysideuic/icon_cache.py
/usr/lib/python2.7/dist-packages/pysideuic/objcreator.py
/usr/lib/python2.7/dist-packages/pysideuic/properties.py
/usr/lib/python2.7/dist-packages/pysideuic/pyside-uic.1
/usr/lib/python2.7/dist-packages/pysideuic/uiparser.py
/usr/lib/python2.7/dist-packages/pysideuic/Compiler/__init__.py
/usr/lib/python2.7/dist-packages/pysideuic/Compiler/compiler.py
/usr/lib/python2.7/dist-packages/pysideuic/Compiler/indenter.py
/usr/lib/python2.7/dist-packages/pysideuic/Compiler/misc.py
/usr/lib/python2.7/dist-packages/pysideuic/Compiler/proxy_type.py
/usr/lib/python2.7/dist-packages/pysideuic/Compiler/qobjectcreator.py
/usr/lib/python2.7/dist-packages/pysideuic/Compiler/qtproxies.py
/usr/lib/python2.7/dist-packages/pysideuic/port_v2/__init__.py
/usr/lib/python2.7/dist-packages/pysideuic/port_v2/as_string.py
/usr/lib/python2.7/dist-packages/pysideuic/port_v2/ascii_upper.py
/usr/lib/python2.7/dist-packages/pysideuic/port_v2/invoke.py
/usr/lib/python2.7/dist-packages/pysideuic/port_v2/load_plugin.py
/usr/lib/python2.7/dist-packages/pysideuic/port_v2/proxy_base.py
/usr/lib/python2.7/dist-packages/pysideuic/port_v2/string_io.py
/usr/lib/python2.7/dist-packages/pysideuic/widget-plugins/phonon.py
/usr/lib/python2.7/dist-packages/pysideuic/widget-plugins/qtdeclarative.py
/usr/lib/python2.7/dist-packages/pysideuic/widget-plugins/qtwebkit.py
/usr/share/doc/pyside-tools/changelog.Debian.gz
/usr/share/doc/pyside-tools/copyright
/usr/share/man/man1/pyside-lupdate.1.gz
/usr/share/man/man1/pyside-rcc.1.gz
/usr/share/man/man1/pyside-uic.1.gz

Changelog

2018-04-03 - Balint Reczey <rbalint@ubuntu.com>
pyside-tools (0.2.15-1build1) bionic; urgency=high
* No change rebuild to pick up -fPIE compiler default
2013-09-18 - Didier Raboud <odyx@debian.org>
pyside-tools (0.2.15-1) unstable; urgency=low
* New 0.2.15 upstream release.
- Refresh patches.
[ Jakub Wilk ]
* Use canonical URIs for Vcs-* fields.
[ Bart Martens ]
* Update debian/watch
[ Didier Raboud ]
* Bump Build-Depends against shiboken to 1.2.1-2~ as -1 has no valid cmake
default
2013-03-08 - Didier Raboud <odyx@debian.org>
pyside-tools (0.2.14-2) unstable; urgency=low
* Drop v3 files from python2 dist-packages directories; fixes the
package installation. (Closes: #680635)
2012-07-07 - Didier Raboud <odyx@debian.org>
pyside-tools (0.2.14-1) unstable; urgency=low
* New 0.2.14 upstream release.
- Refresh patches.
* Bump Standards-Version to 3.9.3 without changes needed.
2011-12-12 - Didier Raboud <odyx@debian.org>
pyside-tools (0.2.13-3) unstable; urgency=low
* Move pyside-tools to Section: python. (Closes: #648825)
2011-08-26 - Didier Raboud <odyx@debian.org>
pyside-tools (0.2.13-1) unstable; urgency=low
* New 0.2.13 (1.0.6) upstream release.
- Bump relationships on shiboken and pyside to 1.0.6.
- Refresh patches.
2011-08-04 - Didier Raboud <odyx@debian.org>
pyside-tools (0.2.12-1) unstable; urgency=low
* New 0.2.12 upstream release.
- Bump relations to PySide to 1.0.5.
- Refresh patches.
2011-07-18 - Didier Raboud <odyx@debian.org>
pyside-tools (0.2.11-1) unstable; urgency=high
* New 0.2.11 upstream release.
- Fixes the critical #901 upstream bug, hence setting urgency to high.
* Update packaging to 0.2.11:
- Patches:
- drop fix_tests.patch
- update u_4125d2d_Fix_pysideuictest.patch
- Add pkg-config, xvfb, xauth, libshiboken-dev and python-pyside.qtgui
Build-Deps.
- Run tests in xvfb.
2011-06-26 - Didier Raboud <odyx@debian.org>
pyside-tools (0.2.10-1) unstable; urgency=low
* New 0.2.10 (1.0.4) upstream release.
- Bump relations to pyside to 1.0.4.
- Refresh patches.
2011-05-29 - Didier Raboud <odyx@debian.org>
pyside-tools (0.2.9-1) unstable; urgency=low
* New 0.2.9 (1.0.3) upstream release.
- Bump relations to pyside to 1.0.3.
- Refresh patches.
* Update relationships to cope with eventual backports.
* Bump Standards-Version to 3.9.2.0 without changes needed.

See Also

Package Description
pyside2-tools_5.11.2-3build1_amd64.deb development tools for PySide2 (uic, rcc, lupdate)
pysiogame_3.60.814-2_all.deb educational activity pack for kids
pysolfc-cardsets_2.0+dfsg2-2_all.deb additional card graphics for PysolFC
pysolfc_2.0-4_all.deb collection of more than 1000 solitaire card games
pyspectral-bin_0.8.6+ds-1_all.deb Reading and manipulaing satellite sensor spectral responses - scripts
pyspf-milter_2.9.0-3_all.deb Modern milter for SPF checking
pysph-doc_0~20180411.git1ae58e1-2.1_all.deb documentation and examples for PySPH
pysph-viewer_0~20180411.git1ae58e1-2.1_amd64.deb viewer for PySPH - framework for Smoothed Particle Hydrodynamics
pyspread_1.1.1-1_all.deb cross-platform Python spreadsheet application
pysrs-bin_1.0.3-1_all.deb Python SRS (Sender Rewriting Scheme) binaries
pyssim_0.2-1_all.deb Tool computing the Structural Similarity Image Metric (SSIM)
pysycache-buttons-beerabbit_3.1-3.3_all.deb Bee-rabbit images for buttons activities for PySyCache
pysycache-buttons-crapaud_3.1-3.3_all.deb Crapaud images for buttons activities for PySyCache
pysycache-buttons-ice_3.1-3.3_all.deb Ice images for buttons activities for PySyCache
pysycache-buttons-wolf_3.1-3.3_all.deb Wolf images for buttons activities for PySyCache
Advertisement
Advertisement